Bug 40071 - kernel: VFS: file-max limit 8192 reached
kernel: VFS: file-max limit 8192 reached
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-10 09:28 EDT by Chris Hedemark
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Hedemark 2001-05-10 09:28:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Periodically a message like the following will appear 
in /var/log/messages.  At approximately the same time, users complain of 
having their sessions terminated.

May  9 11:09:12 rtplnx001 kernel: VFS: file-max limit 8192 reached

This is happening so far on both of our pre-production Red Hat 7.1 
engineering workstations.  These are multiuser workstations using the late 
model AMD Thunderbird processors (1.2GHz).  Most of the tools being run 
are EDA tools.  All of the tools stop running when this condition occurs, 
resulting in the significant loss of development time.

How reproducible:
Didn't try

Steps to Reproduce:
1. Half a dozen concurrent power users
2. Add some CPU and i/o intensive CAD tools
3. Sit back and wait
	

Additional info:

I tried doing the following as a remedy:

echo 16384 > /proc/sys/fs/file-max 

But as you can see it didn't work:

May  9 14:10:14 rtplnx001 kernel: VFS: file-max limit 16384 reached
Comment 1 Arjan van de Ven 2001-05-10 09:33:51 EDT
is the 16384 message less frequent?
It might be that you actually are using that many files at the same time....
Comment 2 Arjan van de Ven 2001-05-10 09:47:37 EDT
And, can you try to find if there are actually that many files open? sounds
like a leak somewhere.
/proc/<pid>/fd would be a place to find the offender.
Comment 3 Chris Hedemark 2001-05-10 09:51:35 EDT
Thanks for the fast response.

I thought that too, but it doesn't make sense in this case.  Our existing Linux 
farm is standardized on Red Hat 6.2.  The two systems exhibiting the problem 
we're talking about here uses Red hat 7.1.  The 6.2 systems are far more 
heavily utilized.  At this time of day, there are almost all idle.  Check this 
out:

From one of my new 7.1 systems:

[chrish@rtplnx001 chrish]$ cat /proc/sys/fs/file-nr
16384   15171   16384
[chrish@rtplnx001 chrish]$

No EDA tools are running on that host right now.  In fact, it is idle.  There 
are 16 pts sessions open but nobody is doing anything right now.  Why all the 
open files?

load average: 0.06, 0.02, 0.00


From a 6.2 system:
[chrish@rtplnx003 chrish]$ cat /proc/sys/fs/file-nr
1586    319     4096
[chrish@rtplnx003 chrish]$ 

load average: 0.35, 0.26, 0.14


It doesn't make sense to me that so many files should be open on a system that 
isn't even really utilized yet.

Here's one of our most active RH 6.2 systems, which also happens to be a file 
server:

[chrish@travis chrish]$ cat /proc/sys/fs/file-nr
1722    592     4096
[chrish@travis chrish]$ uptime
  8:46am  up 28 days, 15:03, 11 users,  load average: 0.10, 0.13, 0.13
[chrish@travis chrish]$

Has anyone at RH done a comparison of a 6.2 system next to a 7.1 system to see 
how many files are open on a fairly idle system?  I'm wondering if what I 
reported is really just a symptom of a larger problem rather than a problem 
itself.

If it makes a difference I'm right down highway 54 from y'all in Durham and 
wouldn't mind letting you in to peak at this if it turns out to be a stumper.
Comment 4 Arjan van de Ven 2001-05-10 10:01:14 EDT
Can you run the following command:

for i in * ; do echo -n $i ; cd /proc/$i ; find fd/ | wc -l ; done

it lists per process how many files are open. If you pipe it to a file
it would be obvious if there is one which takes a LOT of files.
Comment 5 Arjan van de Ven 2001-05-10 10:04:10 EDT
sorry, you should do a "cd /proc" first before typing that
Comment 6 Chris Hedemark 2001-05-10 10:09:13 EDT
OK here is a process list:
USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
root         1  0.0  0.0  1368  544 ?        S    May08   0:04 init [3] 
root         2  0.0  0.0     0    0 ?        SW   May08   0:00 [keventd]
root         3  0.0  0.0     0    0 ?        SW   May08   0:00 [kapm-idled]
root         4  0.0  0.0     0    0 ?        SW   May08   0:01 [kswapd]
root         5  0.0  0.0     0    0 ?        SW   May08   0:00 [kreclaimd]
root         6  0.0  0.0     0    0 ?        SW   May08   0:00 [bdflush]
root         7  0.0  0.0     0    0 ?        SW   May08   0:00 [kupdated]
root         8  0.0  0.0     0    0 ?        SW<  May08   0:00 [mdrecoveryd]
root        73  0.0  0.0     0    0 ?        SW   May08   0:00 [khubd]
root       478  0.0  0.1  1740  864 ?        S    May08   0:00 syslogd -m 0
root       483  0.0  0.1  1988 1088 ?        S    May08   0:00 klogd -2
rpc        497  0.0  0.0  1516  588 ?        S    May08   0:00 portmap
rpcuser    512  0.0  0.1  1608  800 ?        S    May08   0:00 rpc.statd
root       586  0.0  0.0     0    0 ?        SW   May08   0:00 [rpciod]
root       587  0.0  0.0     0    0 ?        SW   May08   0:00 [lockd]
root       602  0.0  0.0  1352  472 ?        S    May08   0:00 /usr/sbin/apmd -p
daemon     616  0.0  0.0  1400  524 ?        S    May08   0:00 /usr/sbin/atd
root       628  0.0  0.1  2588 1096 ?        S    May08   0:00 /usr/sbin/sshd
root       648  0.0  0.1  2284 1012 ?        S    May08   0:00 xinetd -stayalive
root       674  0.0  0.2  5052 1864 ?        S    May08   0:00 sendmail: accepti
root       687  0.0  0.0  1396  440 ?        S    May08   0:00 gpm -t ps/2 -m /d
root       699  0.0  0.0  1596  716 ?        S    May08   0:00 crond
xfs        759  0.0  0.4  4664 3364 ?        S    May08   0:00 xfs -droppriv -da
root       776  0.0  0.1 18232  976 ?        S    May08   0:00 ypbind
root       777  0.0  0.1 18232  976 ?        S    May08   0:00 ypbind
root       778  0.0  0.1 18232  976 ?        S    May08   0:00 ypbind
root       783  0.0  0.1 18232  976 ?        S    May08   0:00 ypbind
root       837  0.0  0.0  1480  636 ?        S    May08   0:00 /usr/sbin/automou
root       855  0.0  0.0  1568  668 ?        S    May08   0:00 /usr/sbin/automou
root       900  0.0  0.1  3892 1288 ?        S    May08   0:00 smbd -D
root       905  0.0  0.1  3256 1384 ?        S    May08   0:00 nmbd -D
root       918  0.0  0.0  1636  492 ?        S    May08   0:00 rpc.yppasswdd
root       922  0.0  0.0  1340  436 tty1     S    May08   0:00 /sbin/mingetty tt
root       923  0.0  0.0  1340  436 tty2     S    May08   0:00 /sbin/mingetty tt
root       924  0.0  0.0  1340  436 tty3     S    May08   0:00 /sbin/mingetty tt
root       925  0.0  0.0  1340  436 tty4     S    May08   0:00 /sbin/mingetty tt
root       926  0.0  0.0  1340  436 tty5     S    May08   0:00 /sbin/mingetty tt
root       927  0.0  0.0  1340  436 tty6     S    May080:00 /sbin/mingetty tt
mikeb     7673  0.0  0.6 17608 4852 ?        S    May09   0:00 kdeinit: dcopserv
mikeb    10952  0.0  0.8 18244 6372 ?        S    May09   0:00 kdeinit: klaunche
mikeb    10954  0.0  0.8 18292 6532 ?        S    May09   0:00 kdeinit: kded    
mikeb    10955  0.0  0.7 18096 5700 ?        S    May09   0:00 kdeinit: Running.
mikeb    11013  0.0  7.3 70024 56872 ?       S    May09   0:00 simv +notimingche
root     11036  0.0  0.1  2268 1332 ?        S    May09   0:00 in.rlogind
root     11037  0.0  0.1  2356 1288 pts/2    S    May09   0:00 login -- mikeb   
mikeb    11038  0.0  0.2  2748 1568 pts/2    S    May09   0:00 -tcsh
mikeb    11056  0.0  1.0 18768 8436 pts/2    S    May09   0:00 /usr/bin/konsole 
mikeb    14193  0.0  0.7 18096 5700 ?        S    May09   0:00 kdeinit: Running.
mikeb    14194  0.0  0.1  2444 1272 pts/3    S    May09   0:00 -bops/bin/tcsh
root     14262  0.0  0.1  1680  828 ?        S    May09   0:00 in.telnetd: rtp00
root     14263  0.0  0.1  2368 1488 pts/4    S    May09   0:00 login -- chrish  
chrish   14264  0.0  0.1  2272 1348 pts/4    S    May09   0:00 -bash
chrish   14289  0.0  0.1  2728 1412 pts/4    S    May09   0:36 rxvt -ls -bg blac
chrish   14291  0.0  0.1  2328 1396 pts/5    S    May09   0:00 -bash
root     14332  0.0  0.1  2148 1060 pts/5    S    May09   0:00 su -
root     14334  0.0  0.1  2392 1348 pts/5    S    May09   0:00 -bash
root     14371  0.0  0.1  1680  832 ?        S    May09   0:00 in.telnetd: rtp00
root     14372  0.0  0.1  2368 1488 pts/6    S    May09   0:00 login -- chrish  
chrish   14373  0.0  0.1  2280 1356 pts/6    S    May09   0:00 -bash
root     14410  0.3  0.2  2900 1892 pts/5    S    May09   3:55 top
root     14517  0.0  0.1  1680  828 ?        S    May09   0:00 in.telnetd: rtp00
root     14518  0.0  0.1  2368 1488 pts/9    S    May09   0:00 login -- mikeb   
mikeb    14519  0.0  0.1  2748 1524 pts/9    S    May09   0:00 -tcsh
root     15124  0.0  0.1  1680  828 ?        S    May09   0:00 in.telnetd: rtp00
root     15127  0.0  0.1  2368 1488 pts/10   S    May09   0:00 login -- chrish  
chrish   15145  0.0  0.1  2272 1348 pts/10   S    May09   0:00 -bash
chrish   15170  0.0  0.2  3340 1640 pts/10   S    May09   0:00 /usr/X11R6/bin/xl
root     15247  0.0  0.1  2268 1332 ?        S    May09   0:00 in.rlogind
root     15248  0.0  0.1  2356 1288 pts/11   S    May09   0:00 login -- mikeb   
mikeb    15249  0.0  0.2  2752 1572 pts/11   S    May09   0:00 -tcsh
root     15417  0.0  0.1  2268 1332 ?        S    May09   0:00 in.rlogind
root     15418  0.0  0.1  2356 1288 pts/12   S    May09   0:00 login -- mikeb   
mikeb    15419  0.0  0.2  2752 1572 pts/12   S    May09   0:00 -tcsh
root     22471  0.0  0.1  1680  828 ?        S    May09   0:00 in.telnetd: rtp00
root     22472  0.0  0.1  2368 1488 pts/8    S    May09   0:00 login -- mikeb   
mikeb    22473  0.0  0.1  2752 1532 pts/8    S    May09   0:00 -tcsh
root     24659  0.0 0.1  1680  828 ?        S    May09   0:00 in.telnetd: rtp00
root     24660  0.0  0.1  2368 1488 pts/14   S    May09   0:00 login -- rayw    
rayw     24661  0.0  0.1  2748 1524 pts/14   S    May09   0:00 -tcsh
mikeb    26173  0.0  0.7 18096 5700 ?        S    May09   0:00 kdeinit: Running.
root     26198  0.0  0.1  1680  796 ?        S    May09   0:00 in.telnetd
root     26259  0.0  0.1  1680  796 ?        S    May09   0:00 in.telnetd
root     26717  0.0  0.1  2144 1056 pts/6    S    09:23   0:00 su -
root     26718  0.0  0.1  2376 1332 pts/6    S    09:23   0:00 -bash
root     26756  0.0  0.1  1680  828 ?        S    09:40   0:00 in.telnetd: rtp00
root     26757  0.0  0.1  2368 1488 pts/16   S    09:40   0:00 login -- chrish  
chrish   26758  0.0  0.1  2272 1348 pts/16   S    09:40   0:00 -bash
root     26828  0.0  0.1  1680  828 ?        S    09:42   0:00 in.telnetd: rtp00
root     26829  0.0  0.1  2368 1488 pts/17   S    09:42   0:00 login -- chrish  
chrish   26830  0.0  0.1  2272 1348 pts/17   S    09:42   0:00 -bash
chrish   26855  0.0  0.1  2816 1504 pts/17   S    09:42   0:00 rxvt -ls -bg blac
chrish   26857  0.0  0.1  2392 1460 pts/18   S    09:42   0:00 -bash
root     26912  0.0  0.1  2148 1060 pts/18   S    09:55   0:00 su -
root     26914  0.0  0.1  2396 1360 pts/18   S    09:55   0:00 -bash
root     26970  0.0  0.1  1632  812 ?        S    10:01   0:00 CROND
root     26971  0.0  0.1  1920  908 ?        S    10:01   0:00 /bin/bash /usr/bi
root     26973  0.0  0.0  1656  552 ?        S    10:01   0:00 awk -v progname=/
root     26974  0.0  0.1  1904  880 ?        S    10:01   0:00 /bin/sh /usr/lib/
root     26976  0.0  0.0  1352  512 ?        S    10:01   0:00 /usr/lib/sa/sadc 
root     27607  0.0  0.1  2912 1040 pts/18   R    10:09   0:00 ps aux
root     27608  0.0  0.0  1416  484 pts/18   R    10:09   0:00 mail hedemark@bop


And here is the output from your command:

1      3
10952     13
10954     12
10955     14
11013      7
11036      5
11037      5
11038      6
11056     12
14193     14
14194      6
14262      5
14263      5
14264      5
14289      4
14291      5
14332      4
14334      5
14371      5
14372      5
14373      5
14410      8
14517      5
14518      5
14519      6
15124      5
15127      5
15145      5
15170      6
15247      5
15248      5
15249      6
15417      5
15418      5
15419      6
2      3
22471      5
22472      5
22473      6
24659      5
24660      5
24661      6
26173     14
26198      6
26259      6
26717      4
26718      5
26756      5
26757      5
26758      5
26828      5
26829      5
26830      5
26855      4
26857      5
26912      4
26914      5
26970      6
26971      5
26973      4
26974      5
26976      5
28166      5
28167      5
3      3
4      3
478      9
483      4
497      6
5      3
512      8
586      0
587      1
6      3
602      3
616      5
628      5
648      9
674      6
687      5
699      6
7      3
73      3
759      7
7673      9
776     10
777     10
778     10
783     10
8      3
837      7
855      7
900      7
905     10
918      6
922      4
923      4
924      4
925      4
926      4
927      4
apm      4
bus      0
cmdline      0
cpuinfo      0
devices      0
dma      0
driver      0
execdomains      0
fb      0
filesystems      0
fs      0
ide      0
interrupts      0
iomem      0
ioports      0
irq      0


Nothing here is jumping out at me.  Are you seeing anything unusual?
Comment 7 Arjan van de Ven 2001-05-10 10:39:14 EDT
Looks normal to me....

# cat /proc/sys/fs/file-nr 
2338    56      8192

on my box.. I'm baffled by this problem.
Is there any special application running somewhere? You're the first to report
this, so I doubt it's something very common.
Comment 8 Chris Hedemark 2001-05-10 10:57:13 EDT
The system is a fairly stock Red Hat 7.1 system, and we have multiple systems 
configured this way showing the same symptoms.

It is participating in a NIS domain, and automounting home dirs.  It has 
probably close to a dozen static mounted NFS filesystems.

I have added ntp from the 7.1 distribution (didn't install by default) and also 
the backwards compatibility ncurses off of 7.1 disc 2.

syslog was configured to send a copy of all messages to a remote server.

telnet and the r* ports were opened up.

No other software was installed locally.

I don't think KDE was clicked on by default but I added it (at install time) by 
clicking on the KDE box.    So right now every piece of software that is 
installed locally on this system came from the Red Hat 7.1 distribution.

The NFS mounts include most significantly some tools from Synopsis that are 
used heavily on these systems for EDA work. Though as you can see from the "ps" 
output there wasn't much activity on that front this morning.

Something different about these systems from our others, hardware wise:  Red 
Hat 6.2 would not boot on these systems.  The install would go fine but as soon 
as the kernel started it would panic trying to disable the CPU serial number.  
These are newer systems than the 6.2 systems we've got.  7.1 installed fine on 
these systems and other than this specific problem with the number of open 
files, we're not having any trouble.  One of these systems is using an ABit 
KT7A motherboard.  I'm not sure what's in the other but it is an iwill Athlon 
board of some sort.

Here is the dmesg from rtplnx001:

Linux version 2.4.2-2 (root@porky.devel.redhat.com) (gcc version 2.96 20000731 
(Red Hat Linux 7.1 2.96-79)) #1 Sun Apr 8 20:41:30 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009fc00 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000400 @ 000000000009fc00 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000ffff0000 (reserved)
 BIOS-e820: 000000002fef0000 @ 0000000000100000 (usable)
 BIOS-e820: 000000000000d000 @ 000000002fff3000 (ACPI data)
 BIOS-e820: 0000000000003000 @ 000000002fff0000 (ACPI NVS)
On node 0 totalpages: 196592
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 192496 pages.
zone Normal has max 1024 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
Kernel command line: auto BOOT_IMAGE=linux ro root=306 BOOT_FILE=/boot/vmlinuz-
2.4.2-2
Initializing CPU#0
Detected 1100.050 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 2195.45 BogoMIPS
Memory: 770812k/786368k available (1365k kernel code, 15168k reserved, 92k 
data, 236k init, 0k highmem)
Dentry-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Buffer-cache hash table entries: 65536 (order: 6, 262144 bytes)
Page-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0183f9ff c1c7f9ff 00000000, vendor = 2
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
CPU: After vendor init, caps: 0183f9ff c1c7f9ff 00000000 00000000
CPU: After generic, caps: 0183f9ff c1c7f9ff 00000000 00000000
CPU: Common caps: 0183f9ff c1c7f9ff 00000000 00000000
CPU: AMD Athlon(tm) Processor stepping 02
Enabling fast FPU save and restore... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfb430, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 0: assuming transparent
Unknown bridge resource 1: assuming transparent
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router VIA [1106/0686] at 00:07.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
KT7 series board detected. Disabling IDE DMA.
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 511218kB/380146kB, 1536 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 controller on pci00:07.1
    ide0: BM-DMA at 0xe000-0xe007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xe008-0xe00f, BIOS settings: hdc:DMA, hdd:pio
hda: FUJITSU MPF3102AT, ATA DISK drive
hdc: ATAPI 52X CDROM, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 20015856 sectors (10248 MB) w/512KiB Cache, CHS=1245/255/63, UDMA(33)
Partition check:
 hda: hda1 hda2 < hda5 hda6 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ 
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 236k freed
Adding Swap: 1052216k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 20:53:29 Apr  8 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 5 for device 00:07.2
PCI: The same IRQ used for device 00:07.3
usb-uhci.c: USB UHCI at I/O 0xe400, IRQ 5
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Found IRQ 5 for device 00:07.3
PCI: The same IRQ used for device 00:07.2
usb-uhci.c: USB UHCI at I/O 0xe800, IRQ 5
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
parport0: PC-style at 0x378, irq 7 [PCSPP,EPP]
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport_pc: Via 686A parallel port: io=0x378, irq=7
ip_conntrack (6143 buckets, 49144 max)
PCI: Found IRQ 11 for device 00:09.0
3c59x.c:LK1.1.13 27 Jan 2001  Donald Becker and others. 
http://www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
eth0: 3Com PCI 3c905C Tornado at 0xec00,  00:50:da:28:0f:4b, IRQ 11
  product code 5944 rev 00.11 date 09-08-99
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 782d.
  Enabling bus-master transmits and whole-frame receives.
eth0: scatter/gather disabled. h/w checksums enabled
eth0: using NWAY device table, not 8
VFS: file-max limit 8192 reached
VFS: file-max limit 16384 reached
Comment 9 Alan Cox 2001-05-10 11:10:31 EDT
8192 is a lot of handles to suddenely vanish, especially as the process limit is
defaulting to 1024. Part of the problem is going to be grabbing data before the
limit is hit but not before a leak becomes visible.

Can you get dumps of the procfs counts every say 5 minutes into a log file ?

It could be a leak, could be an app bug triggered by glibc 2.2, could be a glibc
2.2 bug ...

Comment 10 Michael K. Johnson 2001-05-10 11:18:36 EDT
Try running, as a loop, something like the following while using your
EDA program.  It will help us find what is using up the excess file
descriptors...  It will give you a lot of output, so please attach it
rather than trying to cut-n-paste it.

cd /proc
while : ; do
  date
  ps auxw
  for i in * ; do
    echo -n $i ; cd /proc/$i ; echo -n $(find fd/ | wc -l) ; wc -l maps
  done
  sleep 10
done > /tmp/watchfds
Comment 11 Preston Brown 2001-05-10 12:09:33 EDT
lsof could also come in very handy here.
Comment 12 Vadim Berezniker 2001-12-23 00:38:40 EST
Today I went over to a friend's house and install Red Hat 7.2(Totally wiping
windows). He(or rather me) started to experience the problem above.
This would happen when I would try to run mozilla. 
By looking at lsof, I saw that mozilla kept opening the same stuff over and over
again. I don't know if it's related to your problem in any way.
(I experienced it with stuff other than mozilla)
Here's a short part of the output from lsof:

mozilla   10183    root  255r   REG        3,1     1046     96484
/usr/local/mozilla/mozilla
mozilla   10184    root  cwd    DIR        3,1     4096     96460 /usr/local/mozilla
mozilla   10184    root  rtd    DIR        3,1     4096         2 /
mozilla   10184    root  txt    REG        3,1   519964     16559 /bin/bash
mozilla   10184    root  mem    REG        3,1   485171     15916 /lib/ld-2.2.4.so
mozilla   10184    root  mem    REG        3,1      370     63006
/usr/lib/locale/en_US/LC_IDENTIFICATION
mozilla   10184    root  mem    REG        3,1       28    157649
/usr/lib/locale/en_US/LC_MEASUREMENT
mozilla   10184    root  mem    REG        3,1       64    236358
/usr/lib/locale/en_US/LC_TELEPHONE
mozilla   10184    root  mem    REG        3,1      160    236360
/usr/lib/locale/en_US/LC_ADDRESS
mozilla   10184    root  mem    REG        3,1       82    236359
/usr/lib/locale/en_US/LC_NAME
mozilla   10184    root  mem    REG        3,1       39        79
/usr/lib/locale/en_US/LC_PAPER
mozilla   10184    root  mem    REG        3,1       57    173437
/usr/lib/locale/en_US/LC_MESSAGES/SYS_LC_MESSAGES
mozilla   10184    root  mem    REG        3,1      291    157648
/usr/lib/locale/en_US/LC_MONETARY
mozilla   10184    root  mem    REG        3,1    21499     47432
/usr/lib/locale/en_US/LC_COLLATE
mozilla   10184    root  mem    REG        3,1     2456     63007
/usr/lib/locale/en_US/LC_TIME
mozilla   10184    root  mem    REG        3,1       59     47426
/usr/lib/locale/en_US/LC_NUMERIC
mozilla   10184    root  mem    REG        3,1    11832     16557
/lib/libtermcap.so.2.0.8
mozilla   10184    root  mem    REG        3,1    65997     15929
/lib/libdl-2.2.4.so
mozilla   10184    root  mem    REG        3,1  5772268     15910
/lib/i686/libc-2.2.4.so
mozilla   10184    root  mem    REG        3,1   173408     47431
/usr/lib/locale/en_US/LC_CTYPE
mozilla   10184    root    0u   CHR      136,1                  3 /dev/pts/1
mozilla   10184    root    1u   CHR      136,1                  3 /dev/pts/1
mozilla   10184    root    2u   CHR      136,1                  3 /dev/pts/1


Now take that and repeat it until # of file handles runs out.
Comment 13 Vadim Berezniker 2001-12-23 00:39:53 EST
(Forgot: This is a Dual P3 733 machine with 256Mb ram)
Comment 14 Bugzilla owner 2004-09-30 11:38:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.